/******************************************** Do wyskakujących okien *************************************/
.modal_tlo {
	position: fixed;
	top: -32%;
	left: -10%;
	width: 120%;
	height: 160%;
	z-index: 2000;
	display: flex;
	align-content: center;
}

.modal_tlo.szare {
	background-color: rgba(0, 0, 0, 0.5);
}

.modal_okno {
	background-color: white;
	min-width: 25rem;
	max-width: 40rem;
	padding: 20px;
	margin: auto;
	box-shadow: 0 0 20px #333;
	border-radius: 10px;
	border: 1px solid var(--maincolor);
	box-sizing: border-box;
}

.modal_okno > pre {
	margin: 0;
	font-size: larger;
	font-family: Bahnschrift, 'Trebuchet MS', sans-serif;
}

.modal_opcje {
	display: flex;
	flex-direction: row;
	justify-content: space-evenly;
	margin-top: 20px;
}

.modal_przycisk {
	padding: 5px 15px 5px;
	margin: 0 5px 0;
	border: 1px solid var(--maincolor);
	border-radius: 10px;
	min-width: 9rem;
	font-size: larger;
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
}

.modal_przycisk:hover {
	cursor: pointer;
	background-color: var(--maincolor);
	color: white;
}

/******************************************** Duży napis *************************************/
.modal_duzy_napis {
	width: 100%;
	box-sizing: border-box;
	margin: auto;
	font-size: 100px;
	padding: 25px;
	text-align: center;
	background-color: rgba(255, 255, 255, 0.9);
	color: var(--maincolor);
	transition: 0.25s;
	box-shadow: 0 0 20px #333;
	text-transform: uppercase;
}

.modal_duzy_napis.maly {
	opacity: 0.01;
	font-size: 0.2em;
}

/*************************************************************************************************/

@media screen and (max-width: 900px) {
	.modal_okno {
		max-width: 95vw;
	}

	.modal_duzy_napis {
		font-size: 40px;
	}
}
